<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
switch($mode) {
///удаление раздела
case 'delr':
$count = $db -> dbcount('COUNT(`id`)','albom_cat',"`id` = '".$id."'");
if ($aut == true and $count>0 and ($ya['level']>1)) {
$sql = $db -> query("SELECT * FROM `albom_cat` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Фотоальбомы');
$diz -> title('Удаление категории');
$msg .= '<div class="fon">Категория: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранную категорию и все альбомы в ней?<br/>
<a href="func.php?id='.$id.'&amp;mode=delr&amp;true">Да</a> | <a href="index.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$sql = $db -> query("SELECT * FROM `albom_pav` WHERE `cat` = '".$id."'");
if ($sql -> num_rows > 0) {
while ($pav = $sql -> fetch_assoc()) {
$sql2 = $db -> query("SELECT * FROM `albom_fotos` WHERE `cat` = '".$pav['id']."'");
if ($sql2 -> num_rows > 0) {
while ($foto = $sql2 -> fetch_assoc()) {
unlink($foto['url']);
$db -> multi_query("DELETE FROM `comes` WHERE `idwh` = '".$foto['id']."' and `where`='albom'");
$db -> multi_query("DELETE FROM `albom_fotos` WHERE `id` = '".$foto['id']."'");
}}
}}
$db -> multi_query("DELETE FROM `albom_pav` WHERE `cat` = '".$id."'");
$db -> multi_query("DELETE FROM `albom_cat` WHERE `id` = '".$id."' LIMIT 1");
header('location: index.php');
}
} else header('location: index.php');
} else header('location: index.php');
break;
//Создаем категорию фотоальбомов
case 'new':
if ($ya['level'] > 1) {
if (empty($_POST['name'])){
$diz -> head('Управление фотоальбомами');
$diz -> title('Создаем категорию');
$msg .= '<div class="fon">Введите название:
<form action="func.php?mode=new" method="post"><div><input type="text" name="name" maxlength="40"/><br/>
<input type="submit" value="Создать"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Фотоальбомы</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$cats = $db -> dbcount('COUNT(`id`)','albom_cat',"`name`='$name'");
if($cats==0){
$sid = $db -> dbcount('MAX(`sid`)','albom_cat');
$db -> query("INSERT INTO `albom_cat` SET `name` = '".$name."',`sid`=$sid+1");
$diz -> head('Управление фотоальбомами');
$diz -> title('Создаем категорию');
$msg .='<div class="fon">Категория '. $name.' успешно создана!</div>';
}else{
$diz -> head('Управление фотоальбомами');
$diz -> title('Создаем категорию');
$msg.='<div class="fon">Уже есть категория с данным именем!</div>';}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Фотоальбомы</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
//Создаем новый фотоальбом
case 'newal':
if ($aut==true) {
if($ya['balls']>=$nastr['oimg']){
if (empty($_POST['name'])){
$diz -> head('Управление фотоальбомами');
$diz -> title('Создаем фотоальбом');
$count = $db -> dbcount('COUNT(`id`)','albom_cat');
if($count>0){
$for = $db -> query("SELECT `id`,`name` FROM `albom_cat`");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Введите название:<form action="func.php?mode=newal" method="post"><div>
<input type="text" name="name" maxlength="40"/><br/>
Введите описание:</br>
<input type="text" name="info" maxlength="40"/><br/>
Категория:</br> 
<select name="cat">'.$opt.'</select></br>
<input type="submit" value="Создать"/>
</div></form></div>';
}else{$msg.='Извините,но категорий для фотоальбомов пока нет!';}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Фотоальбомы</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$info = shit($_POST['info']);
$cat = abs(intval(htmlentities($db -> real_escape_string($_POST['cat']))));
$pav = $db -> dbcount('COUNT(`id`)','albom_pav',"`user`='$ya[id]' and `name`='$name'");
if($pav==0){
if($func->delprobel(mb_strlen($name)) > 2){
$db -> query("INSERT INTO `albom_pav` SET `name` = '".$name."',`cat`='$cat',`text`='$info',`user`='$ya[id]',`time`=".time()."");
$diz -> head('Управление фотоальбомами');
$diz -> title('Создаем фотоальбом');
$msg .='<div class="fon">Фотоальбом '. $name.' успешно добавлен!</div>';}
else{$msg.='<div class="fon">Название фотоальбома не может быть короче 2х символов!</div>';}
}else{
$diz -> head('Управление фотоальбомами');
$diz -> title('Создаем фотоальбом');
$msg.='<div class="fon">У вас уже есть фотоальбом с таким именем!</div>';}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Фотоальбомы</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else{
      $diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg .= '<div class="fon">Вам недоступна данная операция!</div>';
     header('refresh: 3; url=./');
     $diz -> out($msg);   
}
}else header('location: index.php');
break;
///удаление фотоальбома
case 'delal':
$count = $db -> dbcount('COUNT(`id`)','albom_pav','`id`='.$id.'');
$for = $db -> query("SELECT * FROM `albom_pav` where `id`='$id'")-> fetch_assoc();
if ($aut == true and $count>0 and $ya['level']>1 or $for['user']==$ya['id']) {
$sql = $db -> query("SELECT * FROM `albom_pav` WHERE `id` = '".$id."' LIMIT 1");
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Фотоальбомы');
$diz -> title('Удаление фотоальбома');
$msg .= '<div class="fon">Фотоальбом: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранный фотоальбом?<br/>
<a href="func.php?id='.$id.'&amp;mode=delal&amp;true">Да</a> | <a href="albom'.$id.'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$sql2 = $db -> query("SELECT * FROM `albom_fotos` WHERE `cat` = '".$id."'");
if ($sql2 -> num_rows > 0) {
while ($foto = $sql2 -> fetch_assoc()) {
unlink($foto['url']);
$db -> multi_query("DELETE FROM `comes` WHERE `idwh` = '".$foto['id']."' and `where`='albom'");
$db -> multi_query("DELETE FROM `albom_fotos` WHERE `id` = '".$foto['id']."'");
}
}
$db -> multi_query("DELETE FROM `albom_pav` WHERE `id` = '".$id."' LIMIT 1");
header('location: index.php');
}
} else header('location: index.php');
break;
///Изменение фотоальбома
case 'redal':
$count = $db -> dbcount('COUNT(`id`)','albom_pav','`id`='.$id.'');
$for = $db -> query("SELECT * FROM `albom_pav` where `id`='$id'")-> fetch_assoc();
if($count>0 and $ya['level']>1 or $for['user']==$ya['id']){
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Изменение фотоальбома');
$diz -> title('Изменение фотоальбома');
$fori = $db -> query("SELECT `id`,`name` FROM `albom_cat` where `id`<>'$for[cat]'");
$opt .= '<option value="'.$for['cat'].'">Текущая категория</option>';
while ($assoc = $fori -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Название:<form action="func.php?id='.$id.'&amp;mode=redal" method="post"><div>
<textarea name="name" rows="1" cols="26">'.$for['name'].'</textarea><br/>
Описание:<br/>
<textarea name="text" rows="3" cols="26">'.$func -> br($for['text']).'</textarea><br/>
Категория:</br> 
<select name="cat">'.$opt.'</select></br>
<input type="submit" value="Изменить"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('folder.png').'<a href="albom'.$id.'">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$raz = (!empty($_POST['cat'])) ? abs(intval($_POST['cat'])) : null;
$db -> query("Update `albom_pav` SET  `name` = '".$name."',`text` = '".$text."',`cat` = '".$raz."' where `id`='$id'");
$diz -> head('Изменение фотоальбома');
$diz -> title('Изменение фотоальбома');
$msg .= '<div class="fon">Фотоальбом <b>'.$name.'</b> успешно изменён!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="albom'.$id.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
///удаление фотографии
case 'delf':
$count = $db -> dbcount('COUNT(`id`)','albom_fotos','`id`='.$id.'');
$for = $db -> query("SELECT * FROM `albom_fotos` where `id`='$id'")-> fetch_assoc();
if ($aut == true and $count>0 and $ya['level']>1 or $for['user']==$ya['id']) {
$sql = $db -> query("SELECT * FROM `albom_fotos` WHERE `id` = '".$id."' LIMIT 1");
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Фотоальбомы');
$diz -> title('Удаление фотографии');
$msg .= '<div class="fon">Фотография: <span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранную фоотографию?<br/>
<a href="func.php?id='.$id.'&amp;mode=delf&amp;true">Да</a> | <a href="foto'.$id.'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
unlink($for['url']);
$db -> multi_query("DELETE FROM `comes` WHERE `idwh` = '".$id."' and `where`='albom'");
$db -> multi_query("DELETE FROM `albom_fotos` WHERE `id` = '".$id."' limit 1");
header('location: index.php');
}
} else header('location: index.php');
break;
///Изменение фотоальбома
case 'redf':
$count = $db -> dbcount('COUNT(`id`)','albom_fotos','`id`='.$id.'');
$for = $db -> query("SELECT * FROM `albom_fotos` where `id`='$id'")-> fetch_assoc();
if($count>0 and $ya['level']>1 or $for['user']==$ya['id']){
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Изменение фотографии');
$diz -> title('Изменение фотографии');
$fori = $db -> query("SELECT `id`,`name` FROM `albom_pav` where `id`<>'$for[cat]' and `user`='$ya[id]'");
$opt .= '<option value="'.$for['cat'].'">Текущий фотоальбом</option>';
while ($assoc = $fori -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Название:<form action="func.php?id='.$id.'&amp;mode=redf" method="post"><div>
<textarea name="name" rows="1" cols="26">'.$for['name'].'</textarea><br/>
Описание:<br/>
<textarea name="text" rows="3" cols="26">'.$func -> br($for['text']).'</textarea><br/>
Категория:</br> 
<select name="cat">'.$opt.'</select></br>
<input type="submit" value="Изменить"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('folder.png').'<a href="foto'.$id.'">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$raz = (!empty($_POST['cat'])) ? abs(intval($_POST['cat'])) : null;
$db -> query("Update `albom_fotos` SET  `name` = '".$name."',`text` = '".$text."',`cat` = '".$raz."' where `id`='$id'");
$diz -> head('Изменение фотографии');
$diz -> title('Изменение фотографии');
$msg .= '<div class="fon">Фотография <b>'.$name.'</b> успешно изменена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="foto'.$id.'">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
///Изменение категории
case 'redraz':
$count = $db -> dbcount('COUNT(`id`)','albom_cat',"`id` = '".$id."'");
if ($ya['level'] > 1 and $count>0) {
if (empty($_POST['name'])) {
$diz -> head('Изменение категории');
$diz -> title('Изменение категории');
$for = $db -> query("SELECT * FROM `albom_cat` where `id`='$id'")-> fetch_assoc();
$msg .= '<div class="fon">Название:<form action="func.php?id='.$id.'&amp;mode=redraz" method="post"><div>
<textarea name="name" rows="1" cols="26">'.$for['name'].'</textarea><br/>
<input type="submit" value="Изменить"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$db -> query("Update `albom_cat` SET  `name` = '".$name."' where `id`='$id'");
$diz -> head('Изменение категории');
$diz -> title('Изменение категории');
$msg .= '<div class="fon">Категория <b>'.$name.'</b> успешно изменена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
} else header('location: index.php');
break;
//переадресация в случае пустой функции
default:
header('location: index.php');
}
?>